/* BUTTONS */
.btn {
  background-color: var(--color-primary);
  color: var(--color-text-w);
  font-weight: 700;
  text-decoration: none;
  border: none;
  padding: 0.75rem 1.5rem;
  margin: 0 auto;
  border-radius: 0.5rem;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.btn:hover {
  color: var(--color-accent);
  transform: translateY(-3px);
}

.btn--large {
  padding: 10px 40px;
  margin: 0 auto;
}

.btn--form {
  font-size: 1.1rem;
  align-self: end;
  padding: 10px 35px;
  text-transform: uppercase;
  box-shadow: 3px 3px 8px var(--color-accent);
}

/* SCROLL BTN */
.scroll-top {
  position: fixed;
  bottom: 20px;
  right: 20px;
  width: 50px;
  height: 50px;
  background-color: var(--color-primary);
  border: 2px solid var(--color-secondary);
  border-radius: 50%;
  box-shadow: 2px 2px 8px var(--color-secondary);
  cursor: pointer;
  display: none;
  /* skryté, dokud uživatel nesjede dolů */
  align-items: center;
  justify-content: center;
  font-size: 1.1rem;
  transition: background-color 0.3s ease, opacity 0.3s ease;
  z-index: 1000;
}

.scroll-top i {
  color: var(--color-text-w);
}